algebra.h File Reference

Classes for performing mathematics over different fields. More...

Go to the source code of this file.

## Classes

class | AbstractGroup< T >
| Abstract group. More...
class | AbstractRing< T >
| Abstract ring. More...
struct | BaseAndExponent< T, E >
| Base and exponent. More...
class | AbstractEuclideanDomain< T >
| Abstract Euclidean domain. More...
class | EuclideanDomainOf< T >
| Euclidean domain. More...
class | QuotientRing< T >
| Quotient ring. More...

## Functions

template<class Element, class Iterator>
Element | GeneralCascadeMultiplication (const AbstractGroup< Element > &group, Iterator begin, Iterator end)
template<class Element, class Iterator>
Element | GeneralCascadeExponentiation (const AbstractRing< Element > &ring, Iterator begin, Iterator end)

## Detailed Description

Classes for performing mathematics over different fields.

Definition in file algebra.h.

## Function Documentation

## GeneralCascadeMultiplication()

template<class Element, class Iterator>

Element GeneralCascadeMultiplication | ( | const AbstractGroup< Element > & | group,
|  | Iterator | begin,
|  | Iterator | end )

Definition at line 172 of file algebra.cpp.

## GeneralCascadeExponentiation()

template<class Element, class Iterator>

Element GeneralCascadeExponentiation | ( | const AbstractRing< Element > & | ring,
|  | Iterator | begin,
|  | Iterator | end )

Definition at line 328 of file algebra.cpp.